Summary:	iwd - wireless daemon for Linux
Summary(pl.UTF-8):	iwd - demon sieci bezprzewodowej dla Linuksa
Name:		iwd
Version:	1.20
Release:	1
License:	LGPL v2.1+
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/linux/network/wireless/%{name}-%{version}.tar.xz
# Source0-md5:	6c68178bb1485677057c282f0d7f73dd
URL:		https://git.kernel.org/pub/scm/network/wireless/iwd.git
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	dbus-devel
BuildRequires:	docutils
BuildRequires:	ell-devel >= 0.46
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.644
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,preun,postun):	systemd-units >= 38
Requires:	ell >= 0.46
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wireless daemon for Linux.

%description -l pl.UTF-8
Demon sieci bezprzewodowej dla Linuksa.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-external-ell \
	--enable-manual-pages \
	--disable-silent-rules \
	--with-systemd-modloaddir=/usr/lib/modules-load.d \
	--with-systemd-networkdir=/lib/systemd/network \
	--with-systemd-unitdir=%{systemdunitdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/iwd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post iwd.service

%preun
%systemd_preun iwd.service

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{_sysconfdir}/iwd
%attr(755,root,root) %{_bindir}/iwctl
%attr(755,root,root) %{_bindir}/iwmon
%attr(755,root,root) %{_libexecdir}/iwd
/lib/systemd/network/80-iwd.link
%{systemdunitdir}/iwd.service
%{_datadir}/dbus-1/system.d/iwd-dbus.conf
%{_datadir}/dbus-1/system-services/net.connman.iwd.service
%{_mandir}/man1/iwctl.1*
%{_mandir}/man1/iwmon.1*
%{_mandir}/man5/iwd.ap.5*
%{_mandir}/man5/iwd.config.5*
%{_mandir}/man5/iwd.network.5*
%{_mandir}/man7/iwd.debug.7*
%{_mandir}/man8/iwd.8*
/usr/lib/modules-load.d/pkcs8.conf
%changelog
* Sun Nov 21 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iwd.git;a=log;h=master

* Fri Nov 19 2021 Jan Palus <atler@pld-linux.org> 40c99f2
- up to 1.20

* Wed Nov 03 2021 Jan Palus <atler@pld-linux.org> c07b9d3
- up to 1.19

* Wed Sep 15 2021 Jan Palus <atler@pld-linux.org> f6b959e
- try using parallel build

* Wed Sep 15 2021 Jan Palus <atler@pld-linux.org> 6fc7130
- up to 1.18

* Sun Aug 22 2021 Jan Palus <atler@pld-linux.org> 8ab737e
- up to 1.17

* Mon Aug 02 2021 Jan Palus <atler@pld-linux.org> 6286e45
- up to 1.16

* Sun Jun 13 2021 Jan Palus <atler@pld-linux.org> 46f3cce
- up to 1.15

* Tue May 04 2021 Jan Palus <atler@pld-linux.org> 5f17937
- up to 1.14

* Tue Mar 30 2021 Jan Palus <atler@pld-linux.org> d27529b
- up to 1.13

* Wed Feb 17 2021 Jan Palus <atler@pld-linux.org> 7622048
- -enable-docs replaced with --enable-manual-pages in 0.22

* Wed Feb 17 2021 Jan Palus <atler@pld-linux.org> f5bc684
- up to 1.12

* Fri Jan 08 2021 Jan Palus <atler@pld-linux.org> 8da5a6f
- up to 1.11

* Mon Dec 07 2020 Jan Palus <atler@pld-linux.org> c07b8f8
- up to 1.10

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> bb87523
- updated to 1.9

* Thu Jun 18 2020 Jan Palus <atler@pld-linux.org> 7aa4d42
- up to 1.8

* Wed Apr 15 2020 Jan Palus <atler@pld-linux.org> 7bbdf1f
- up to 1.7

* Wed Mar 25 2020 Jan Palus <atler@pld-linux.org> 6894784
- up to 1.6

* Mon Feb 10 2020 Jan Palus <atler@pld-linux.org> c6d88a6
- up to 1.5

* Fri Dec 27 2019 Jan Palus <atler@pld-linux.org> 417c51a
- up to 1.4

* Fri Dec 13 2019 Jan Palus <atler@pld-linux.org> 47edcdf
- up to 1.3

